Aria: ArRetFunctor2< Ret, P1, P2 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArRetFunctor2< Ret, P1, P2 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArRetFunctor2< Ret, P1, P2 >:

List of all members.

## Detailed Description

### template<class Ret, class P1, class P2>
class ArRetFunctor2< Ret, P1, P2 >

Base class for functors with a return value with 2 parameters.

This is the base class for functors with a return value and take 2 parameters. Code that has a reference to a functor that returns a value and takes 2 parameters should use this class name. This allows the code to know how to invoke the functor without knowing which class the member function is in.

For an overall description of functors, see ArFunctor.

## Public Member Functions
virtual Ret | invokeR (P1 p1, P2 p2)=0
| Invokes the functor with return value.
virtual Ret | invokeR (P1 p1)=0
| Invokes the functor with return value.
virtual Ret | invokeR (void)=0
| Invokes the functor with return value.
virtual | ~ArRetFunctor2 ()
| Destructor.

## Member Function Documentation

template<class Ret, class P1, class P2>

virtual Ret ArRetFunctor2< Ret, P1, P2 >::invokeR | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[pure virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implemented in ArRetFunctor3< Ret, P1, P2, P3 >, ArRetFunctor4< Ret, P1, P2, P3, P4 >, ArGlobalRetFunctor2< Ret, P1, P2 >, ArGlobalRetFunctor3< Ret, P1, P2, P3 >, ArGlobalRetFunctor4< Ret, P1, P2, P3, P4 >, ArRetFunctor2C< Ret, T, P1, P2 >, ArRetFunctor3C< Ret, T, P1, P2, P3 >, ArRetFunctor4C< Ret, T, P1, P2, P3, P4 >, ArConstRetFunctor2C< Ret, T, P1, P2 >, ArConstRetFunctor3C< Ret, T, P1, P2, P3 >, ArConstRetFunctor4C< Ret, T, P1, P2, P3, P4 >, ArRetFunctor3< bool, ArArgumentBuilder *, char *, size_t >, ArRetFunctor3< const const constArDeviceConnection *, char *, char *, char * >, ArGlobalRetFunctor2< const ArLaser *, int, char * >, ArGlobalRetFunctor2< const const bool, char *, char * >, ArRetFunctor2C< const const bool, ArSpeechSynth, char *, char * >, ArRetFunctor2C< bool, ArMap, char *, size_t >, ArRetFunctor2C< bool, ArDataLogger, char *, size_t >, and ArRetFunctor3C< bool, ArConfig, ArArgumentBuilder *, char *, size_t >.

template<class Ret, class P1, class P2>

virtual Ret ArRetFunctor2< Ret, P1, P2 >::invokeR | ( | P1 | p1 | ) | `[pure virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter

Implements ArRetFunctor1< Ret, P1 >.

Implemented in ArRetFunctor3< Ret, P1, P2, P3 >, ArRetFunctor4< Ret, P1, P2, P3, P4 >, ArGlobalRetFunctor2< Ret, P1, P2 >, ArGlobalRetFunctor3< Ret, P1, P2, P3 >, ArGlobalRetFunctor4< Ret, P1, P2, P3, P4 >, ArRetFunctor2C< Ret, T, P1, P2 >, ArRetFunctor3C< Ret, T, P1, P2, P3 >, ArRetFunctor4C< Ret, T, P1, P2, P3, P4 >, ArConstRetFunctor2C< Ret, T, P1, P2 >, ArConstRetFunctor3C< Ret, T, P1, P2, P3 >, ArConstRetFunctor4C< Ret, T, P1, P2, P3, P4 >, ArRetFunctor3< bool, ArArgumentBuilder *, char *, size_t >, ArRetFunctor3< const const constArDeviceConnection *, char *, char *, char * >, ArGlobalRetFunctor2< const ArLaser *, int, char * >, ArGlobalRetFunctor2< const const bool, char *, char * >, ArRetFunctor2C< const const bool, ArSpeechSynth, char *, char * >, ArRetFunctor2C< bool, ArMap, char *, size_t >, ArRetFunctor2C< bool, ArDataLogger, char *, size_t >, and ArRetFunctor3C< bool, ArConfig, ArArgumentBuilder *, char *, size_t >.

The documentation for this class was generated from the following file:

- ArFunctor.h